summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-01-24 13:38:00 -0200
committerSilvio Rhatto <rhatto@riseup.net>2013-01-24 13:38:00 -0200
commitca5603fa17c28558254e166a9a382c39efc14365 (patch)
tree9c20d69b1303f3414a2ffc0b372f73cf5d4df41a
parent95572a09242a4deb1af39efb5174e0ffc0e79066 (diff)
downloadhydra-ca5603fa17c28558254e166a9a382c39efc14365.tar.gz
hydra-ca5603fa17c28558254e166a9a382c39efc14365.tar.bz2
Adding module-commit hydra action
-rwxr-xr-xshare/hydra/module-commit37
1 files changed, 37 insertions, 0 deletions
diff --git a/share/hydra/module-commit b/share/hydra/module-commit
new file mode 100755
index 0000000..a4ede8c
--- /dev/null
+++ b/share/hydra/module-commit
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Commit and update a puppet module
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+MODULE="$1"
+
+if hydra_is_git; then
+ if pwd | grep -q "/$MODULE/"; then
+ shift
+ git commit -a -m "$*"
+ hydra $HYDRA module-update $MODULE
+ else
+ echo "Not inside module $MODULE"
+ exit 1
+ fi
+else
+ echo "Not a git repository"
+ exit 1
+fi